Projects

Get a project

Reads one project with its team roster and assignable members.

GET
/projects/{id}

Reads one project with its team roster and assignable members.

Authorization

x-api-key<token>

The per-tenant API key, copied from Settings → API & integrations. Sent as the x-api-key request header. The key is tenant-scoped and acts with Admin-equivalent, tenant-wide access.

In: header

Path Parameters

id*string

Resource id.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "address": "string",  "ownerContact": "string",  "gateCodes": "string",  "description": "string",  "status": "active",  "inductionToken": "string",  "createdAt": "2019-08-24T14:15:22Z",  "team": [    {      "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",      "name": "string",      "email": "user@example.com",      "role": "admin",      "isSiteManager": true    }  ],  "assignable": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "email": "user@example.com"    }  ],  "canManage": true}
{  "error": {    "code": "unauthorized",    "message": "Missing or invalid API key."  }}
{  "error": {    "code": "not_found",    "message": "Not found."  }}